jQuery(document).ready(function($) {
    // 'compteur_selecteurs_css' contient les sélecteurs injectés depuis l'admin (sous forme de chaîne)
    var selectors = compteur_selecteurs_css.split(',').map(function(selector) {
        return selector.trim();  // Supprimer les espaces autour des sélecteurs
    });
    
    console.log("Sélecteurs injectés : ", selectors);

    // Appliquer le traitement pour chaque sélecteur enregistré
    selectors.forEach(function(selector) {
        $(document).on('click', selector, function(e) {
            var linkText = $(this).text();
            console.log(linkText + " cliqué");
            $.ajax({
                url: ajaxurl, // Variable Ajax fournie par WP
                type: 'POST',
                data: {
                    action: 'enregistrer_clic',
                    lien: linkText
                },
                success: function(response) {
                    console.log('Clic enregistré pour : ' + linkText);
                    console.log('Réponse du serveur : ', response);
                },
                error: function(error) {
                    console.log('Erreur lors de l\'enregistrement du clic : ', error);
                }
            });
        });
    });
});
